Returns the details of a specific item, including how it is shared across locations and which v2 menus and screens it is placed on.
GET
/items/integration/v2/business-locations/{businessLocationId}/items/{itemId}
curl \
--request GET 'https://api.trial.lsk.lightspeed.app/items/integration/v2/business-locations/{businessLocationId}/items/{itemId}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"id": 3012455645,
"name": "Burger",
"docketName": "The Burger",
"sku": "UGG-BB-PUR-06",
"active": true,
"barcodes": [
"10011101100"
],
"accountingGroup": {
"id": 40570261078058,
"name": "Alcoholic beverages"
},
"statisticGroups": [
{
"category": "default",
"value": "Food"
}
],
"costPrice": 5.0,
"prices": [
{
"amount": 10.0,
"name": "Tuesday Special"
}
],
"sharingType": "GLOBAL",
"sharedLocations": [
12345,
12346
],
"priceMode": "PERCENT",
"inventorySource": "PURCHASED",
"disabled": false,
"contentDimension": "VOLUME",
"contentUom": "kg",
"contentValue": 1,
"itemType": "ITEM",
"menuPlacements": [
{
"buttonId": 55,
"buttonName": "Ch. Margaux",
"buttonColor": "green",
"buttonTheme": "FULL",
"menuId": 101,
"menuName": "Wine List",
"screenId": 42,
"screenName": "Red Bordeaux",
"position": 3,
"businessLocationId": 12345,
"screenPath": [
{
"screenId": 41,
"name": "Wine"
}
]
}
]
}
Response examples (404)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "item_name_conflict",
"details": "businessLocationIds=[12346]",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}